package com.qm.utils;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class MysqlJdbcSource extends JDBCSource {

    @Override
    public Connection getConn()  {
        try {
            Class.forName(PropertiesUtils.getValue("mysql.driver"));
            Connection connection = DriverManager.getConnection(PropertiesUtils.getValue("mysql.url"),PropertiesUtils.getValue("mysql.user"),PropertiesUtils.getValue("mysql.password"));
            return connection;
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException throwables) {
            throwables.printStackTrace();
        }
        return null;
    }
}
